Subject: bug#79252: Option 'file-precious-flag' creates unrelatable/untrackable temporary filenames

From: Michael Albinus <[email-masked]>
Date: Sun, 17 Aug 2025 10:48:17 +0200

Eli Zaretskii <[email-masked]> writes:

Hi Eli,

>> On a first glance, it looks OK. I don't know whether we need special care
>> for symlinks, i.e., use buffer-file-truename instead of buffer-file-name.
>
> What could be the issues with symlinks?  The directory of
> buffer-file-name is writable, so using the name of the symlink should
> be okay, since we create a normal file.  Or what am I missing?

I don't see an issue. It is just the idea, that the temp file is more
related to the canonical file instead of the link source.

Best regards, Michael.